package me.lensfrex.littlebusters.api.v1.login;

import me.lensfrex.littlebusters.api.v1.dao.UserInformation;
import me.lensfrex.littlebusters.api.v1.utils.MyBatisUtil;
import org.apache.ibatis.session.SqlSession;
import org.mindrot.jbcrypt.BCrypt;


import java.util.Map;

public class LoginIdentify {

    public boolean identifyLoginUserName(String userName, String passwordSHA256) {
        SqlSession sqlSession = MyBatisUtil.getSqlSession(true);

        UserInformation mapper = sqlSession.getMapper(UserInformation.class);
        Map<String, Object> selectResult = mapper.getBasicInfoByUserName(userName);
        if (selectResult == null) {
            return false;
        }

        return BCrypt.checkpw(passwordSHA256, (String) selectResult.get("password"));
    }
}
